package com.ociotec.tmapi.graphql.models;

import org.eclipse.microprofile.graphql.Description;

import jakarta.validation.constraints.NotNull;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@Description("Telemetry sample property")
public class Property {
    
    @NotNull
    @Description("Property key")
    private String key;

    @NotNull
    @Description("Property value")
    private Value value;

}
