package com.ociotec.tmapi.graphql.models;

import io.smallrye.common.constraint.Nullable;
import io.vertx.core.cli.annotations.Description;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Description("Property filter used as query argument")
public class PropertyFilter {
    @Nullable
    private Integer intValue;
    @Nullable
    private Long longValue;
    @Nullable
    private String stringValue;
    @Nullable
    private Boolean booleanValue;
    @Nullable
    private Float floatValue;
    @Nullable
    private Double doubleValue;
}
